Bug 52463 - po-mode not working
po-mode not working
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gettext (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-23 18:19 EDT by Kjartan Maraas
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-24 15:35:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
emacs configuration file (1.04 KB, text/plain)
2001-08-23 19:57 EDT, Kjartan Maraas
no flags Details

  None (edit)
Description Kjartan Maraas 2001-08-23 18:19:27 EDT
Description of Problem:

Suddenly emacs po-mode doesn't work for me. This happened without actually
upgrading emacs, but I upgraded some non-related packages from rawhide.

Version-Release number of selected component (if applicable):

emacs-20.7-41

How Reproducible:

Every time

Steps to Reproduce:
1. emacs xx.po
2. 
3. 

Actual Results:

Error message: wrong type argument: stringp, nil

Expected Results:

Opened po file

Additional Information:

This makes it impossible for me to do translation work. Please help!!! :)
Comment 1 Trond Eivind Glomsrxd 2001-08-23 18:43:39 EDT
Works just fine here, same version. Check your ~/.emacs etc.
Comment 2 Kjartan Maraas 2001-08-23 19:57:21 EDT
Created attachment 29297 [details]
emacs configuration file
Comment 3 Trond Eivind Glomsrxd 2001-08-23 22:45:19 EDT
Which packages did you upgrade? It works here... Does emacs --no-site-file work?
Does --debug-init help? Do you have semi, ddskk, wl or similar installed?
Comment 4 Kjartan Maraas 2001-08-24 04:33:06 EDT
I have none of those installed. --no-site-file doesn't make a difference.
--debut-init doesn't output anything different...

The packages I upgraded were:

gettext among others. Trying to downgrade

Downgrading gettext to 0.10-38-5 fixes it...

Comment 5 Glen Foster 2001-08-24 13:09:15 EDT
This defect is considered SHOULD-FIX for Fairfax.
Comment 6 Trond Eivind Glomsrxd 2001-08-24 14:25:13 EDT
Strange, since this file wasn't changed at all.
Comment 7 Trond Eivind Glomsrxd 2001-08-24 15:35:18 EDT
po-mode.el and po-mode.elc went AWOL from the i386 rpm, for no good reason.
They're there in the RPMs for Alpha and IA64 - a rebuild will probably solve the
problem.
Comment 8 Trond Eivind Glomsrxd 2001-08-24 18:05:30 EDT
Fixed in 0.10.38-7. Weird.

Note You need to log in before you can comment on or make changes to this bug.